# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(Digest.pm) perl(Fcntl.pm) perl(File/Spec/Functions.pm) perl(IO/File.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-MooseX-Storage
Summary:        A serialization framework for Moose classes
Version:        0.32
Release:        alt1_1
License:        GPL+ or Artistic
Group:          Development/Perl
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/MooseX-Storage-%{version}.tar.gz
URL:            http://search.cpan.org/dist/MooseX-Storage
BuildArch:      noarch

BuildRequires:  perl(CPAN.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(String/RewritePrefix.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(Test/Fatal.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Requires.pm)
# test BR
BuildRequires:  perl(Digest/SHA.pm)
BuildRequires:  perl(Test/JSON.pm)
BuildRequires:  perl(JSON/Any.pm)
BuildRequires:  perl(Test/Without/Module.pm)
BuildRequires:  perl(IO/AtomicFile.pm)
BuildRequires:  perl(YAML/Any.pm)
BuildRequires:  perl(YAML/Syck.pm)
BuildRequires:  perl(YAML/XS.pm)
#BuildRequires:  perl(MooseX::Storage::Format::JSONpm)


Source44: import.info

%description
MooseX::Storage is a serialization framework for Moose, it provides a
very flexible and highly pluggable way to serialize Moose classes to a
number of different formats and styles. This is still an early release
of this module, so use with caution. It's outward facing serialization
API should be considered stable, but I still reserve the right to make
tweaks if I need too. Anything beyond the basic pack/unpack, freeze/thaw
and load/store should not be relied on. There are 3 levels to the
serialization, each of which builds upon the other and each of which
can be customized to the specific needs of your class.


%prep
%setup -q -n MooseX-Storage-%{version}

# silence rpmlint warnings
sed -i '1s,#!.*perl,#!%{__perl},' t/*.t t/*/*.t
chmod 0644 t/*.t t/*/*.t

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'


%check
make test

%files
%doc Changes README t/
%{perl_vendor_privlib}/*

%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1_3
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1_1
- fc import

